# Notes #
# Uninstall Does Not Require Admin
# Install May Require Admin
# Finding Installed Apps Requirs Admin

#Hide PowerShell Console#
Add-Type -Name Window -Namespace Console -MemberDefinition '
[DllImport("Kernel32.dll")]
public static extern IntPtr GetConsoleWindow();
[DllImport("user32.dll")]
public static extern bool ShowWindow(IntPtr hWnd, Int32 nCmdShow);
'
$consolePtr = [Console.Window]::GetConsoleWindow()
[Console.Window]::ShowWindow($consolePtr, 0)

#Press Keys#
$source = @"
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Runtime.InteropServices;
using System.Windows.Forms;
namespace KeyboardSend
{
    public class KeyboardSend
    {
        [DllImport("user32.dll")]
        public static extern void keybd_event(byte bVk, byte bScan, int dwFlags, int dwExtraInfo);
        private const int KEYEVENTF_EXTENDEDKEY = 1;
        private const int KEYEVENTF_KEYUP = 2;
        public static void KeyDown(Keys vKey)
        {
            keybd_event((byte)vKey, 0, KEYEVENTF_EXTENDEDKEY, 0);
        }
        public static void KeyUp(Keys vKey)
        {
            keybd_event((byte)vKey, 0, KEYEVENTF_EXTENDEDKEY | KEYEVENTF_KEYUP, 0);
        }
    }
}
"@

# Assemblies #
Add-Type -TypeDefinition $source -ReferencedAssemblies "System.Drawing"
Add-Type -TypeDefinition $source -ReferencedAssemblies "System.Windows.Forms"
# [void] [System.Reflection.Assembly]::LoadWithPartialName("System.Drawing") 
# [void] [System.Reflection.Assembly]::LoadWithPartialName("System.Windows.Forms")  

# Folder Variables #
$IconsFolder = "" + $PSScriptRoot + "\icons\"

# :: Variables #
$BorderFixedSimple = [System.Windows.Forms.FormBorderStyle]::FixedSingle

$FlatButton = [System.Windows.Forms.FlatStyle]::Flat
$PopButton = [System.Windows.Forms.FlatStyle]::Standard

$ButtonApptartingCursor = [System.Windows.Forms.Cursors]::AppStarting
$ArrowCursor = [System.Windows.Forms.Cursors]::Arrow
$CrossCursor = [System.Windows.Forms.Cursors]::Cross
$DefaultCursor = [System.Windows.Forms.Cursors]::Default
$HandCursor = [System.Windows.Forms.Cursors]::Hand
$HelpCursor = [System.Windows.Forms.Cursors]::Help
$HSplitCursor = [System.Windows.Forms.Cursors]::HSplit
$IBeamCursor = [System.Windows.Forms.Cursors]::IBeam
$NoCursor = [System.Windows.Forms.Cursors]::No
$NoMove2DCursor = [System.Windows.Forms.Cursors]::NoMove2D
$NoMoveHorizCursor = [System.Windows.Forms.Cursors]::NoMoveHoriz
$NoMoveVertCursor = [System.Windows.Forms.Cursors]::NoMoveVert
$PanEastCursor = [System.Windows.Forms.Cursors]::PanEast
$PanNECursor = [System.Windows.Forms.Cursors]::PanNE
$PanNorthCursor = [System.Windows.Forms.Cursors]::PanNorth
$PanNWCursor = [System.Windows.Forms.Cursors]::PanNW
$PanSECursor = [System.Windows.Forms.Cursors]::PanSE
$PanSouthCursor = [System.Windows.Forms.Cursors]::PanSouth
$PanSWCursor = [System.Windows.Forms.Cursors]::PanSW
$PanWestCursor = [System.Windows.Forms.Cursors]::PanWest
$SizeAllCursor = [System.Windows.Forms.Cursors]::SizeAll
$SizeNESWCursor = [System.Windows.Forms.Cursors]::SizeNESW
$SizeNSCursor = [System.Windows.Forms.Cursors]::SizeNS
$SizeNWSECursor = [System.Windows.Forms.Cursors]::SizeNWSE
$SizeWECursor = [System.Windows.Forms.Cursors]::SizeWE
$UpArrowCursor = [System.Windows.Forms.Cursors]::UpArrow
$VSplitCursor = [System.Windows.Forms.Cursors]::VSplit
$WaitCursor = [System.Windows.Forms.Cursors]::WaitCursor

# Variables That Depend On Files #
$WSResetIcon = [system.drawing.icon]::ExtractAssociatedIcon("C:\Windows\System32\WSReset.exe")

$3DBuilder = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.3DBuilder.png")
$ButtonAppConnector = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.AppConnector.png")
$BingFinance = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.BingFinance.png")
$BingNews = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.BingNews.png")
$BingSports = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.BingSports.png")
$BingWeather = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.BingWeather.png")
$DesktopAppInstaller = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.DesktopAppInstaller.png")
$GetHelp = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.GetHelp.png")
$GetStarted = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.GetStarted.png")
$Messaging = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Messaging.png")
$Microsoft3DViewer = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Microsoft3DViewer.png")
$MicrosoftHoloLens = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MicrosoftHoloLens.png")
$MicrosoftOfficeHub = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MicrosoftOfficeHub.png")
$MicrosoftSolitaireCollection = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MicrosoftSolitaireCollection.png")
$MicrosoftStickyNotes = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MicrosoftStickyNotes.png")
$MixedRealityPortal = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MixedReality.Portal.png")
$MSPaint = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MSPaint.png")
$OfficeOneNote = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Office.OneNote.png")
$OfficeSway = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Office.Sway.png")
$OneConnect = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.OneConnect.png")
$People = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.People.png")
$Print3D = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Print3D.png")
$ScreenSketch = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.ScreenSketch.png")
$StorePurchaseApp = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.StorePurchaseApp.png")
$SkypeApp = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.SkypeApp.png")
$Wallet = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Wallet.png")
$WindowsAlarm = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsAlarms.png")
$WindowsCalculator = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCalculator.png")
$WindowsCamera = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCamera.png")
$WindowsCommunicationsApps = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCommunicationsApps.png")
$WindowsCommunicationsApps_Calendar = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCommunicationsApps_Calendar.png")
$WindowsCommunicationsApps_Mail = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCommunicationsApps_Mail.png")
$WindowsFeedbackHub = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsFeedbackHub.png")
$WindowsMaps = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsMaps.png")
$WindowsPhotos = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Windows.Photos.png")
$WindowsSoundRecorder = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsSoundRecorder.png")
$WindowsStore = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsStore.png")
$XboxApp = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.XboxApp.png")
$XboxGameOverlay = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.XboxGameOverlay.png")
$YourPhone = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.YourPhone.png")
$ZuneMusic = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.ZuneMusic.png")
$ZuneVideo = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.ZuneVideo.png")

$HEIFImageExtension = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$MPEG2VideoExtension = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$VP9VideoExtensions = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$WebMediaExtensions = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$WebpImageExtension = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")

$QuickAssist = [System.Drawing.Image]::FromFile($IconsFolder + "App.Support.QuickAssist.png")

$DefaultImage = [System.Drawing.Image]::FromFile($IconsFolder + "default.png")
$ExtensionsImage = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")

# Objects #
$DefaultForm = New-Object System.Windows.Forms.Form
$DefaultGroupBox = New-Object System.Windows.Forms.GroupBox
# Button Cannot Be Added?

$DefaultFormSize = New-Object System.Drawing.Size(528,616)
$DefaultGroupBoxSize = New-Object System.Drawing.Size(512,576)
$DefaultDrawingSize = New-Object System.Drawing.Size(64,64)
$WideDrawingSize = New-Object System.Drawing.Size(128,64)

$R1C1 = New-Object System.Drawing.Size(0,0)
$R1C2 = New-Object System.Drawing.Size(64,0)
$R1C3 = New-Object System.Drawing.Size(128,0)
$R1C4 = New-Object System.Drawing.Size(192,0)
$R1C5 = New-Object System.Drawing.Size(256,0)
$R1C6 = New-Object System.Drawing.Size(320,0)
$R1C7 = New-Object System.Drawing.Size(384,0)
$R1C8 = New-Object System.Drawing.Size(448,0)
$R2C1 = New-Object System.Drawing.Size(0,64)
$R2C2 = New-Object System.Drawing.Size(64,64)
$R2C3 = New-Object System.Drawing.Size(128,64)
$R2C4 = New-Object System.Drawing.Size(192,64)
$R2C5 = New-Object System.Drawing.Size(256,64)
$R2C6 = New-Object System.Drawing.Size(320,64)
$R2C7 = New-Object System.Drawing.Size(384,64)
$R2C8 = New-Object System.Drawing.Size(448,64)
$R3C1 = New-Object System.Drawing.Size(0,128)
$R3C2 = New-Object System.Drawing.Size(64,128)
$R3C3 = New-Object System.Drawing.Size(128,128)
$R3C4 = New-Object System.Drawing.Size(192,128)
$R3C5 = New-Object System.Drawing.Size(256,128)
$R3C6 = New-Object System.Drawing.Size(320,128)
$R3C7 = New-Object System.Drawing.Size(384,128)
$R3C8 = New-Object System.Drawing.Size(448,128)
$R4C1 = New-Object System.Drawing.Size(0,192)
$R4C2 = New-Object System.Drawing.Size(64,192)
$R4C3 = New-Object System.Drawing.Size(128,192)
$R4C4 = New-Object System.Drawing.Size(192,192)
$R4C5 = New-Object System.Drawing.Size(256,192)
$R4C6 = New-Object System.Drawing.Size(320,192)
$R4C7 = New-Object System.Drawing.Size(384,192)
$R4C8 = New-Object System.Drawing.Size(448,192)
$R5C1 = New-Object System.Drawing.Size(0,256)
$R5C2 = New-Object System.Drawing.Size(64,256)
$R5C3 = New-Object System.Drawing.Size(128,256)
$R5C4 = New-Object System.Drawing.Size(192,256)
$R5C5 = New-Object System.Drawing.Size(256,256)
$R5C6 = New-Object System.Drawing.Size(320,256)
$R5C7 = New-Object System.Drawing.Size(384,256)
$R5C8 = New-Object System.Drawing.Size(448,256)
$R6C1 = New-Object System.Drawing.Size(0,320)
$R6C2 = New-Object System.Drawing.Size(64,320)
$R6C3 = New-Object System.Drawing.Size(128,320)
$R6C4 = New-Object System.Drawing.Size(192,320)
$R6C5 = New-Object System.Drawing.Size(256,320)
$R6C6 = New-Object System.Drawing.Size(320,320)
$R6C7 = New-Object System.Drawing.Size(384,320)
$R6C8 = New-Object System.Drawing.Size(448,320)
$R7C1 = New-Object System.Drawing.Size(0,384)
$R7C2 = New-Object System.Drawing.Size(64,384)
$R7C3 = New-Object System.Drawing.Size(128,384)
$R7C4 = New-Object System.Drawing.Size(192,384)
$R7C5 = New-Object System.Drawing.Size(256,384)
$R7C6 = New-Object System.Drawing.Size(320,384)
$R7C7 = New-Object System.Drawing.Size(384,384)
$R7C8 = New-Object System.Drawing.Size(448,384)
$R7hC1 = New-Object System.Drawing.Size(0,416)
$R7hC2 = New-Object System.Drawing.Size(64,416)
$R7hC3 = New-Object System.Drawing.Size(128,416)
$R7hC4 = New-Object System.Drawing.Size(192,416)
$R7hC5 = New-Object System.Drawing.Size(256,416)
$R7hC6 = New-Object System.Drawing.Size(320,416)
$R7hC7 = New-Object System.Drawing.Size(384,416)
$R7hC8 = New-Object System.Drawing.Size(448,416)
$R8C1 = New-Object System.Drawing.Size(0,448)
$R8C2 = New-Object System.Drawing.Size(64,448)
$R8C3 = New-Object System.Drawing.Size(128,448)
$R8C4 = New-Object System.Drawing.Size(192,448)
$R8C5 = New-Object System.Drawing.Size(256,448)
$R8C6 = New-Object System.Drawing.Size(320,448)
$R8C7 = New-Object System.Drawing.Size(384,448)
$R8C8 = New-Object System.Drawing.Size(448,448)
$R9C1 = New-Object System.Drawing.Size(0,512)
$R9C2 = New-Object System.Drawing.Size(64,512)
$R9C3 = New-Object System.Drawing.Size(128,512)
$R9C4 = New-Object System.Drawing.Size(192,512)
$R9C5 = New-Object System.Drawing.Size(256,512)
$R9C6 = New-Object System.Drawing.Size(320,512)
$R9C7 = New-Object System.Drawing.Size(384,512)
$R9C8 = New-Object System.Drawing.Size(448,512)



# Other Variables #
$DefaultFormText = "Windows 10 App Manager - Click An App To Toggle Installation - [By MarioMasta64]"
$BatchFileLocation = $PSScriptRoot + "\test.bat"



# Window Border #
$DefaultForm.FormBorderStyle = $BorderFixedSimple
# Window Position #
$DefaultForm.StartPosition = "CenterScreen" #loads the window in the center of the screen
# Window State #
$DefaultForm.WindowState = "Normal"
# Window Position #
$DefaultForm.Topmost = $true
# Window Position Not Eternal #
$DefaultForm.Topmost = $false
# Window Size #
$DefaultForm.Size = $DefaultFormSize
# Window Title #
$DefaultForm.Text = $DefaultFormText
# Window Icon #
$DefaultForm.Icon = $WSResetIcon

# Disable Closing Window #
$DefaultForm.Add_FormClosing({$_.Cancel=$True})
# Disable Minimize Window #
$DefaultForm.MinimizeBox = $False
# Disable Maximize Window #
$DefaultForm.MaximizeBox = $False
# Disable Resizing Window #
$DefaultForm.SizeGripStyle = "Hide"



# Functions #
function CheckInstalledAppsForCurrentUser { del .\test.txt; Get-AppxPackage | ft Name -AutoSize | Out-File -FilePath .\test.txt }
function CheckInstalledAppsForAllUsers { del .\test.txt; Get-AppxPackage -AllUsers | ft Name -AutoSize | Out-File -FilePath .\test.txt }
function ReloadPowerShellFile { & $BatchFileLocation }
function UninstallAllApps { & taskkill /f /im explorer.exe; Get-AppxPackage | Remove-AppxPackage; & start explorer.exe }
function OpenStartMenu { [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin") }
function UninstallApp { $NameApp = $args[0]; Get-AppxPackage *$NameApp* | Remove-AppxPackage }
function InstallApp { $NameApp = $args[0]; Get-AppxPackage -AllUsers *$NameApp* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"} }



# App Data #
$LocationApp2 = $R1C2
$SizeApp2 = $DefaultDrawingSize
$ImageApp2 = $WindowsAlarm
$PatternApp2 = "Alarm"
$NameApp2 = "Alarms && Clock"



$DefaultGroupBox.Location = $R1C1
$DefaultGroupBox.size = $DefaultGroupBoxSize
# $DefaultGroupBox.text = "DC Health checks:"

$ButtonApp1 = New-Object System.Windows.Forms.Button
$ButtonApp1.Location = $R1C1
$ButtonApp1.Size = $DefaultDrawingSize
$ButtonApp1.BackgroundImage = $3DBuilder
$ButtonApp1.BackgroundImageLayout = "Zoom"
$ButtonApp1.Add_Click({
	$ButtonApp1.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "3DBuilder"
	if ($SEL -ne $null) {
		Get-AppxPackage *3DBuilder* | Remove-AppxPackage
		$ButtonApp1.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *3DBuilder* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp1.FlatStyle = $PopButton
	}
	$ButtonApp1.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "3DBuilder"
if ($SEL -eq $null) {
	$ButtonApp1.Text = "3D Builder"
	$ButtonApp1.Enabled = $false
	$ButtonApp1.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "3DBuilder"
if ($SEL -eq $null) {
	$ButtonApp1.FlatStyle = $FlatButton
} else {
	$ButtonApp1.FlatStyle = $PopButton
}



$ButtonApp2 = New-Object System.Windows.Forms.Button
$ButtonApp2.Location = $LocationApp2
$ButtonApp2.Size = $SizeApp2
$ButtonApp2.BackgroundImage = $ImageApp2
$ButtonApp2.BackgroundImageLayout = "Zoom"
$ButtonApp2.Add_Click({
	$ButtonApp2.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "$PatternApp2"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp2"
		$ButtonApp2.FlatStyle = $FlatButton
	} else {
		InstallApp "$PatternApp2"
		$ButtonApp2.FlatStyle = $PopButton
	}
	# OpenStartMenu
	$ButtonApp2.Cursor = $HandCursor
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "$PatternApp2"
if ($SEL -eq $null) {
	$ButtonApp2.Text = "$NameApp2"
	$ButtonApp2.Enabled = $false
	$ButtonApp2.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "$PatternApp2"
if ($SEL -eq $null) {
	$ButtonApp2.FlatStyle = $FlatButton
} else {
	$ButtonApp2.FlatStyle = $PopButton
}


 
$ButtonApp3 = New-Object System.Windows.Forms.Button
$ButtonApp3.Location = $R1C3
$ButtonApp3.Size = $DefaultDrawingSize
$ButtonApp3.Text = "App Connector" # temporary till icon
# $ButtonApp3.Image = $DefaultImage
# $ButtonApp3.BackgroundImageLayout = "Zoom"
$ButtonApp3.Add_Click({
	$ButtonApp3.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "AppConnector"
	if ($SEL -ne $null) {
		Get-AppxPackage *AppConnector* | Remove-AppxPackage
		$ButtonApp3.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *AppConnector* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp3.FlatStyle = $PopButton
	}
	$ButtonApp3.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "AppConnector"
if ($SEL -eq $null) {
	$ButtonApp3.Text = "App Connector"
	$ButtonApp3.Enabled = $false
	$ButtonApp3.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "AppConnector"
if ($SEL -eq $null) {
	$ButtonApp3.FlatStyle = $FlatButton
} else {
	$ButtonApp3.FlatStyle = $PopButton
}


 
$ButtonApp4 = New-Object System.Windows.Forms.Button
$ButtonApp4.Location = $R1C4
$ButtonApp4.Size = $DefaultDrawingSize
$ButtonApp4.BackgroundImage = $DesktopAppInstaller
$ButtonApp4.BackgroundImageLayout = "Zoom"
$ButtonApp4.Add_Click({
	$ButtonApp4.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "AppInstaller"
	if ($SEL -ne $null) {
		Get-AppxPackage *AppInstaller* | Remove-AppxPackage
		$ButtonApp4.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *AppInstaller* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp4.FlatStyle = $PopButton
	}
	$ButtonApp4.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "AppInstaller"
if ($SEL -eq $null) {
	$ButtonApp4.Text = "App Installer"
	$ButtonApp4.Enabled = $false
	$ButtonApp4.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "AppInstaller"
if ($SEL -eq $null) {
	$ButtonApp4.FlatStyle = $FlatButton
} else {
	$ButtonApp4.FlatStyle = $PopButton
}



$ButtonApp5 = New-Object System.Windows.Forms.Button
$ButtonApp5.Location = $R1C5
$ButtonApp5.Size = $WideDrawingSize
$ButtonApp5.BackgroundImage = $WindowsCommunicationsApps
$ButtonApp5.BackgroundImageLayout = "Zoom"
$ButtonApp5.Add_Click({
	$ButtonApp5.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "CommunicationsApps"
	if ($SEL -ne $null) {
		Get-AppxPackage *CommunicationsApps* | Remove-AppxPackage
		$ButtonApp5.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *CommunicationsApps* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp5.FlatStyle = $PopButton
	}
	$ButtonApp5.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "CommunicationsApps"
if ($SEL -eq $null) {
	$ButtonApp5.Text = "Calendar and Mail"
	$ButtonApp5.Enabled = $false
	$ButtonApp5.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "CommunicationsApps"
if ($SEL -eq $null) {
	$ButtonApp5.FlatStyle = $FlatButton
} else {
	$ButtonApp5.FlatStyle = $PopButton
}



$ButtonApp7 = New-Object System.Windows.Forms.Button
$ButtonApp7.Location = $R1C7
$ButtonApp7.Size = $DefaultDrawingSize
$ButtonApp7.BackgroundImage = $WindowsCalculator
$ButtonApp7.BackgroundImageLayout = "Zoom"
$ButtonApp7.Add_Click({
	$ButtonApp7.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "Calculator"
	if ($SEL -ne $null) {
		Get-AppxPackage *Calculator* | Remove-AppxPackage
		$ButtonApp7.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *Calculator* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp7.FlatStyle = $PopButton
	}
	$ButtonApp7.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "Calculator"
if ($SEL -eq $null) {
	$ButtonApp7.Text = "Calculator"
	$ButtonApp7.Enabled = $false
	$ButtonApp7.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "Calculator"
if ($SEL -eq $null) {
	$ButtonApp7.FlatStyle = $FlatButton
} else {
	$ButtonApp7.FlatStyle = $PopButton
}


 
$ButtonApp8 = New-Object System.Windows.Forms.Button
$ButtonApp8.Location = $R1C8
$ButtonApp8.Size = $DefaultDrawingSize
$ButtonApp8.BackgroundImage = $WindowsCamera
$ButtonApp8.BackgroundImageLayout = "Zoom"
$ButtonApp8.Add_Click({
	$ButtonApp8.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "Camera"
	if ($SEL -ne $null) {
		Get-AppxPackage *Camera* | Remove-AppxPackage
		$ButtonApp8.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *Camera* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp8.FlatStyle = $PopButton
	}
	$ButtonApp8.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "Camera"
if ($SEL -eq $null) {
	$ButtonApp8.Text = "Camera"
	$ButtonApp8.Enabled = $false
	$ButtonApp8.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "Camera"
if ($SEL -eq $null) {
	$ButtonApp8.FlatStyle = $FlatButton
} else {
	$ButtonApp8.FlatStyle = $PopButton
}



$ButtonApp9 = New-Object System.Windows.Forms.Button
$ButtonApp9.Location = $R2C1
$ButtonApp9.Size = $DefaultDrawingSize
$ButtonApp9.BackgroundImage = $WindowsFeedbackHub
$ButtonApp9.BackgroundImageLayout = "Zoom"
$ButtonApp9.Add_Click({
	$ButtonApp9.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "Feedback"
	if ($SEL -ne $null) {
		Get-AppxPackage *Feedback* | Remove-AppxPackage
		$ButtonApp9.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *Feedback* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp9.FlatStyle = $PopButton
	}
	$ButtonApp9.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "Feedback"
if ($SEL -eq $null) {
	$ButtonApp9.Text = "Feedback Hub"
	$ButtonApp9.Enabled = $false
	$ButtonApp9.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "Feedback"
if ($SEL -eq $null) {
	$ButtonApp9.FlatStyle = $FlatButton
} else {
	$ButtonApp9.FlatStyle = $PopButton
}



$ButtonApp10 = New-Object System.Windows.Forms.Button
$ButtonApp10.Location = $R2C2
$ButtonApp10.Size = $DefaultDrawingSize
$ButtonApp10.BackgroundImage = $GetHelp
$ButtonApp10.BackgroundImageLayout = "Zoom"
$ButtonApp10.Add_Click({
	$ButtonApp10.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "GetHelp"
	if ($SEL -ne $null) {
		Get-AppxPackage *GetHelp* | Remove-AppxPackage
		$ButtonApp10.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *GetHelp* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp10.FlatStyle = $PopButton
	}
	$ButtonApp10.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "GetHelp"
if ($SEL -eq $null) {
	$ButtonApp10.Text = "Get Help"
	$ButtonApp10.Enabled = $false
	$ButtonApp10.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "GetHelp"
if ($SEL -eq $null) {
	$ButtonApp10.FlatStyle = $FlatButton
} else {
	$ButtonApp10.FlatStyle = $PopButton
}



$ButtonApp11 = New-Object System.Windows.Forms.Button
$ButtonApp11.Location = $R2C3
$ButtonApp11.Size = $DefaultDrawingSize
$ButtonApp11.BackgroundImage = $MicrosoftOfficeHub
$ButtonApp11.BackgroundImageLayout = "Zoom"
$ButtonApp11.Add_Click({
	$ButtonApp11.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "OfficeHub"
	if ($SEL -ne $null) {
		Get-AppxPackage *OfficeHub* | Remove-AppxPackage
		$ButtonApp11.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *OfficeHub* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp11.FlatStyle = $PopButton
	}
	$ButtonApp11.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "OfficeHub"
if ($SEL -eq $null) {
	$ButtonApp11.Text = "Get Office"
	$ButtonApp11.Enabled = $false
	$ButtonApp11.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "OfficeHub"
if ($SEL -eq $null) {
	$ButtonApp11.FlatStyle = $FlatButton
} else {
	$ButtonApp11.FlatStyle = $PopButton
}



$ButtonApp12 = New-Object System.Windows.Forms.Button
$ButtonApp12.Location = $R2C4
$ButtonApp12.Size = $DefaultDrawingSize
$ButtonApp12.BackgroundImage = $GetStarted
$ButtonApp12.BackgroundImageLayout = "Zoom"
$ButtonApp12.Add_Click({
	$ButtonApp12.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "GetStarted"
	if ($SEL -ne $null) {
		Get-AppxPackage *GetStarted* | Remove-AppxPackage
		$ButtonApp12.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *GetStarted* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp12.FlatStyle = $PopButton
	}
	$ButtonApp12.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "GetStarted"
if ($SEL -eq $null) {
	$ButtonApp12.Text = "Get Started"
	$ButtonApp12.Enabled = $false
	$ButtonApp12.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "GetStarted"
if ($SEL -eq $null) {
	$ButtonApp12.FlatStyle = $FlatButton
} else {
	$ButtonApp12.FlatStyle = $PopButton
}



$ButtonApp13 = New-Object System.Windows.Forms.Button
$ButtonApp13.Location = $R2C5
$ButtonApp13.Size = $DefaultDrawingSize
$ButtonApp13.BackgroundImage = $SkypeApp
$ButtonApp13.BackgroundImageLayout = "Zoom"
$ButtonApp13.Add_Click({
	$ButtonApp13.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "SkypeApp"
	if ($SEL -ne $null) {
		Get-AppxPackage *SkypeApp* | Remove-AppxPackage
		$ButtonApp13.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *SkypeApp* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp13.FlatStyle = $PopButton
	}
	$ButtonApp13.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "SkypeApp"
if ($SEL -eq $null) {
	$ButtonApp13.Text = "Get Skype"
	$ButtonApp13.Enabled = $false
	$ButtonApp13.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "SkypeApp"
if ($SEL -eq $null) {
	$ButtonApp13.FlatStyle = $FlatButton
} else {
	$ButtonApp13.FlatStyle = $PopButton
}



$ButtonApp14 = New-Object System.Windows.Forms.Button
$ButtonApp14.Location = $R2C6
$ButtonApp14.Size = $DefaultDrawingSize
$ButtonApp14.BackgroundImage = $ZuneMusic
$ButtonApp14.BackgroundImageLayout = "Zoom"
$ButtonApp14.Add_Click({
	$ButtonApp14.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "ZuneMusic"
	if ($SEL -ne $null) {
		Get-AppxPackage *ZuneMusic* | Remove-AppxPackage
		$ButtonApp14.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *ZuneMusic* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp14.FlatStyle = $PopButton
	}
	$ButtonApp14.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "ZuneMusic"
if ($SEL -eq $null) {
	$ButtonApp14.Text = "Groove Music"
	$ButtonApp14.Enabled = $false
	$ButtonApp14.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "ZuneMusic"
if ($SEL -eq $null) {
	$ButtonApp14.FlatStyle = $FlatButton
} else {
	$ButtonApp14.FlatStyle = $PopButton
}



$ButtonApp15 = New-Object System.Windows.Forms.Button
$ButtonApp15.Location = $R2C7
$ButtonApp15.Size = $DefaultDrawingSize
$ButtonApp15.BackgroundImage = $WindowsMaps
$ButtonApp15.BackgroundImageLayout = "Zoom"
$ButtonApp15.Add_Click({
	$ButtonApp15.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "Maps"
	if ($SEL -ne $null) {
		Get-AppxPackage *Maps* | Remove-AppxPackage
		$ButtonApp15.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *Maps* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp15.FlatStyle = $PopButton
	}
	$ButtonApp15.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "Maps"
if ($SEL -eq $null) {
	$ButtonApp15.Text = "Maps"
	$ButtonApp15.Enabled = $false
	$ButtonApp15.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "Maps"
if ($SEL -eq $null) {
	$ButtonApp15.FlatStyle = $FlatButton
} else {
	$ButtonApp15.FlatStyle = $PopButton
}



$ButtonApp16 = New-Object System.Windows.Forms.Button
$ButtonApp16.Location = $R2C8
$ButtonApp16.Size = $DefaultDrawingSize
$ButtonApp16.BackgroundImage = $Messaging
$ButtonApp16.BackgroundImageLayout = "Zoom"
$ButtonApp16.Add_Click({
	$ButtonApp16.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "Messaging"
	if ($SEL -ne $null) {
		Get-AppxPackage *Messaging* | Remove-AppxPackage
		$ButtonApp16.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *Messaging* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp16.FlatStyle = $PopButton
	}
	$ButtonApp16.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "Messaging"
if ($SEL -eq $null) {
	$ButtonApp16.Text = "Messaging and Skype Video"
	$ButtonApp16.Enabled = $false
	$ButtonApp16.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "Messaging"
if ($SEL -eq $null) {
	$ButtonApp16.FlatStyle = $FlatButton
} else {
	$ButtonApp16.FlatStyle = $PopButton
}



$ButtonApp17 = New-Object System.Windows.Forms.Button
$ButtonApp17.Location = $R3C1
$ButtonApp17.Size = $DefaultDrawingSize
$ButtonApp17.BackgroundImage = $MicrosoftSolitaireCollection
$ButtonApp17.BackgroundImageLayout = "Zoom"
$ButtonApp17.Add_Click({
	$ButtonApp17.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "SolitaireCollection"
	if ($SEL -ne $null) {
		Get-AppxPackage *SolitaireCollection* | Remove-AppxPackage
		$ButtonApp17.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *SolitaireCollection* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp17.FlatStyle = $PopButton
	}
	$ButtonApp17.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "SolitaireCollection"
if ($SEL -eq $null) {
	$ButtonApp17.Text = "Microsoft Solitaire Collection"
	$ButtonApp17.Enabled = $false
	$ButtonApp17.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "SolitaireCollection"
if ($SEL -eq $null) {
	$ButtonApp17.FlatStyle = $FlatButton
} else {
	$ButtonApp17.FlatStyle = $PopButton
}



$ButtonApp18 = New-Object System.Windows.Forms.Button
$ButtonApp18.Location = $R3C2
$ButtonApp18.Size = $DefaultDrawingSize
$ButtonApp18.BackgroundImage = $Wallet
$ButtonApp18.BackgroundImageLayout = "Zoom"
$ButtonApp18.Add_Click({
	$ButtonApp18.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "Wallet"
	if ($SEL -ne $null) {
		Get-AppxPackage *Wallet* | Remove-AppxPackage
		$ButtonApp18.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *Wallet* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp18.FlatStyle = $PopButton
	}
	$ButtonApp18.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "Wallet"
if ($SEL -eq $null) {
	$ButtonApp18.Text = "Microsoft Wallet"
	$ButtonApp18.Enabled = $false
	$ButtonApp18.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "Wallet"
if ($SEL -eq $null) {
	$ButtonApp18.FlatStyle = $FlatButton
} else {
	$ButtonApp18.FlatStyle = $PopButton
}



$ButtonApp19 = New-Object System.Windows.Forms.Button
$ButtonApp19.Location = $R3C3
$ButtonApp19.Size = $DefaultDrawingSize
$ButtonApp19.Text = "Microsoft Wi-Fi" # temporary till icon
# $ButtonApp19.BackgroundImage = $DefaultImage
# $ButtonApp19.BackgroundImageLayout = "Zoom"
$ButtonApp19.Add_Click({
	$ButtonApp19.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "ConnectivityStore"
	if ($SEL -ne $null) {
		Get-AppxPackage *ConnectivityStore* | Remove-AppxPackage
		$ButtonApp19.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *ConnectivityStore* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp19.FlatStyle = $PopButton
	}
	$ButtonApp19.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "ConnectivityStore"
if ($SEL -eq $null) {
	$ButtonApp19.Text = "Microsoft Wi-Fi"
	$ButtonApp19.Enabled = $false
	$ButtonApp19.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "ConnectivityStore"
if ($SEL -eq $null) {
	$ButtonApp19.FlatStyle = $FlatButton
} else {
	$ButtonApp19.FlatStyle = $PopButton
}



$ButtonApp20 = New-Object System.Windows.Forms.Button
$ButtonApp20.Location = $R3C4
$ButtonApp20.Size = $DefaultDrawingSize
$ButtonApp20.BackgroundImage = $MixedRealityPortal
$ButtonApp20.BackgroundImageLayout = "Zoom"
$ButtonApp20.Add_Click({
	$ButtonApp20.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "MixedReality"
	if ($SEL -ne $null) {
		Get-AppxPackage *MixedReality* | Remove-AppxPackage
		$ButtonApp20.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *MixedReality* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp20.FlatStyle = $PopButton
	}
	$ButtonApp20.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "MixedReality"
if ($SEL -eq $null) {
	$ButtonApp20.Text = "Mixed Reality"
	$ButtonApp20.Enabled = $false
	$ButtonApp20.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "MixedReality"
if ($SEL -eq $null) {
	$ButtonApp20.FlatStyle = $FlatButton
} else {
	$ButtonApp20.FlatStyle = $PopButton
}



$ButtonApp21 = New-Object System.Windows.Forms.Button
$ButtonApp21.Location = $R3C5
$ButtonApp21.Size = $DefaultDrawingSize
$ButtonApp21.BackgroundImage = $BingFinance
$ButtonApp21.BackgroundImageLayout = "Zoom"
$ButtonApp21.Add_Click({
	$ButtonApp21.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "BingFinance"
	if ($SEL -ne $null) {
		Get-AppxPackage *BingFinance* | Remove-AppxPackage
		$ButtonApp21.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *BingFinance* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp21.FlatStyle = $PopButton
	}
	$ButtonApp21.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "BingFinance"
if ($SEL -eq $null) {
	$ButtonApp21.Text = "Money"
	$ButtonApp21.Enabled = $false
	$ButtonApp21.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "BingFinance"
if ($SEL -eq $null) {
	$ButtonApp21.FlatStyle = $FlatButton
} else {
	$ButtonApp21.FlatStyle = $PopButton
}



$ButtonApp22 = New-Object System.Windows.Forms.Button
$ButtonApp22.Location = $R3C6
$ButtonApp22.Size = $DefaultDrawingSize
$ButtonApp22.BackgroundImage = $ZuneVideo
$ButtonApp22.BackgroundImageLayout = "Zoom"
$ButtonApp22.Add_Click({
	$ButtonApp22.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "ZuneVideo"
	if ($SEL -ne $null) {
		Get-AppxPackage *ZuneVideo* | Remove-AppxPackage
		$ButtonApp22.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *ZuneVideo* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp22.FlatStyle = $PopButton
	}
	$ButtonApp22.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "ZuneVideo"
if ($SEL -eq $null) {
	$ButtonApp22.Text = "Movies && TV"
	$ButtonApp22.Enabled = $false
	$ButtonApp22.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "ZuneVideo"
if ($SEL -eq $null) {
	$ButtonApp22.FlatStyle = $FlatButton
} else {
	$ButtonApp22.FlatStyle = $PopButton
}



$ButtonApp23 = New-Object System.Windows.Forms.Button
$ButtonApp23.Location = $R3C7
$ButtonApp23.Size = $DefaultDrawingSize
$ButtonApp23.BackgroundImage = $BingNews
$ButtonApp23.BackgroundImageLayout = "Zoom"
$ButtonApp23.Add_Click({
	$ButtonApp23.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "BingNews"
	if ($SEL -ne $null) {
		Get-AppxPackage *BingNews* | Remove-AppxPackage
		$ButtonApp23.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *BingNews* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp23.FlatStyle = $PopButton
	}
	$ButtonApp23.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "BingNews"
if ($SEL -eq $null) {
	$ButtonApp23.Text = "News"
	$ButtonApp23.Enabled = $false
	$ButtonApp23.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "BingNews"
if ($SEL -eq $null) {
	$ButtonApp23.FlatStyle = $FlatButton
} else {
	$ButtonApp23.FlatStyle = $PopButton
}



$ButtonApp24 = New-Object System.Windows.Forms.Button
$ButtonApp24.Location = $R3C8
$ButtonApp24.Size = $DefaultDrawingSize
$ButtonApp24.BackgroundImage = $OfficeOneNote
$ButtonApp24.BackgroundImageLayout = "Zoom"
$ButtonApp24.Add_Click({
	$ButtonApp24.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "OneNote"
	if ($SEL -ne $null) {
		Get-AppxPackage *OneNote* | Remove-AppxPackage
		$ButtonApp24.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *OneNote* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp24.FlatStyle = $PopButton
	}
	$ButtonApp24.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "OneNote"
if ($SEL -eq $null) {
	$ButtonApp24.Text = "OneNote"
	$ButtonApp24.Enabled = $false
	$ButtonApp24.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "OneNote"
if ($SEL -eq $null) {
	$ButtonApp24.FlatStyle = $FlatButton
} else {
	$ButtonApp24.FlatStyle = $PopButton
}



$ButtonApp25 = New-Object System.Windows.Forms.Button
$ButtonApp25.Location = $R4C1
$ButtonApp25.Size = $DefaultDrawingSize
$ButtonApp25.BackgroundImage = $OneConnect
$ButtonApp25.BackgroundImageLayout = "Zoom"
$ButtonApp25.Add_Click({
	$ButtonApp25.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "OneConnect"
	if ($SEL -ne $null) {
		Get-AppxPackage *OneConnect* | Remove-AppxPackage
		$ButtonApp25.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *OneConnect* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp25.FlatStyle = $PopButton
	}
	$ButtonApp25.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "OneConnect"
if ($SEL -eq $null) {
	$ButtonApp25.Text = "Paid Wi-Fi && Cellular"
	$ButtonApp25.Enabled = $false
	$ButtonApp25.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "OneConnect"
if ($SEL -eq $null) {
	$ButtonApp25.FlatStyle = $FlatButton
} else {
	$ButtonApp25.FlatStyle = $PopButton
}



$ButtonApp26 = New-Object System.Windows.Forms.Button
$ButtonApp26.Location = $R4C2
$ButtonApp26.Size = $DefaultDrawingSize
$ButtonApp26.BackgroundImage = $MSPaint
$ButtonApp26.BackgroundImageLayout = "Zoom"
$ButtonApp26.Add_Click({
	$ButtonApp26.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "MSPaint"
	if ($SEL -ne $null) {
		Get-AppxPackage *MSPaint* | Remove-AppxPackage
		$ButtonApp26.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *MSPaint* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp26.FlatStyle = $PopButton
	}
	$ButtonApp26.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "MSPaint"
if ($SEL -eq $null) {
	$ButtonApp26.Text = "Paint 3D"
	$ButtonApp26.Enabled = $false
	$ButtonApp26.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "MSPaint"
if ($SEL -eq $null) {
	$ButtonApp26.FlatStyle = $FlatButton
} else {
	$ButtonApp26.FlatStyle = $PopButton
}



$ButtonApp27 = New-Object System.Windows.Forms.Button
$ButtonApp27.Location = $R4C3
$ButtonApp27.Size = $DefaultDrawingSize
$ButtonApp27.BackgroundImage = $People
$ButtonApp27.BackgroundImageLayout = "Zoom"
$ButtonApp27.Add_Click({
	$ButtonApp27.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "People "
	if ($SEL -ne $null) {
		Get-AppxPackage *People* | Remove-AppxPackage
		$ButtonApp27.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *People* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp27.FlatStyle = $PopButton
	}
	$ButtonApp27.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "People "
if ($SEL -eq $null) {
	$ButtonApp27.Text = "People"
	$ButtonApp27.Enabled = $false
	$ButtonApp27.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "People "
if ($SEL -eq $null) {
	$ButtonApp27.FlatStyle = $FlatButton
} else {
	$ButtonApp27.FlatStyle = $PopButton
}



$ButtonApp28 = New-Object System.Windows.Forms.Button
$ButtonApp28.Location = $R4C4
$ButtonApp28.Size = $DefaultDrawingSize
$ButtonApp28.Text = "Phone" # temporary till icon
# $ButtonApp28.BackgroundImage = $DefaultImage
# $ButtonApp28.BackgroundImageLayout = "Zoom"
$ButtonApp28.Add_Click({
	$ButtonApp28.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "CommsPhone"
	if ($SEL -ne $null) {
		Get-AppxPackage *CommsPhone* | Remove-AppxPackage
		$ButtonApp28.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *CommsPhone* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp28.FlatStyle = $PopButton
	}
	$ButtonApp28.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "CommsPhone"
if ($SEL -eq $null) {
	$ButtonApp28.Text = "Phone"
	$ButtonApp28.Enabled = $false
	$ButtonApp28.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "CommsPhone"
if ($SEL -eq $null) {
	$ButtonApp28.FlatStyle = $FlatButton
} else {
	$ButtonApp28.FlatStyle = $PopButton
}



$ButtonApp29 = New-Object System.Windows.Forms.Button
$ButtonApp29.Location = $R4C5
$ButtonApp29.Size = $DefaultDrawingSize
$ButtonApp29.BackgroundImage = $YourPhone
$ButtonApp29.BackgroundImageLayout = "Zoom"
$ButtonApp29.Add_Click({
	$ButtonApp29.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "YourPhone"
	if ($SEL -ne $null) {
		Get-AppxPackage *YourPhone* | Remove-AppxPackage
		$ButtonApp29.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *YourPhone* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp29.FlatStyle = $PopButton
	}
	$ButtonApp29.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "YourPhone"
if ($SEL -eq $null) {
	$ButtonApp29.Text = "Phone Companion"
	$ButtonApp29.Enabled = $false
	$ButtonApp29.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "YourPhone"
if ($SEL -eq $null) {
	$ButtonApp29.FlatStyle = $FlatButton
} else {
	$ButtonApp29.FlatStyle = $PopButton
}



$ButtonApp30 = New-Object System.Windows.Forms.Button
$ButtonApp30.Location = $R4C6
$ButtonApp30.Size = $DefaultDrawingSize
$ButtonApp30.BackgroundImage = $WindowsPhotos
$ButtonApp30.BackgroundImageLayout = "Zoom"
$ButtonApp30.Add_Click({
	$ButtonApp30.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "Photos"
	if ($SEL -ne $null) {
		Get-AppxPackage *Photos* | Remove-AppxPackage
		$ButtonApp30.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *Photos* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp30.FlatStyle = $PopButton
	}
	$ButtonApp30.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "Photos"
if ($SEL -eq $null) {
	$ButtonApp30.Text = "Photos"
	$ButtonApp30.Enabled = $false
	$ButtonApp30.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "Photos"
if ($SEL -eq $null) {
	$ButtonApp30.FlatStyle = $FlatButton
} else {
	$ButtonApp30.FlatStyle = $PopButton
}



$ButtonApp31 = New-Object System.Windows.Forms.Button
$ButtonApp31.Location = $R4C7
$ButtonApp31.Size = $DefaultDrawingSize
$ButtonApp31.BackgroundImage = $ScreenSketch
$ButtonApp31.BackgroundImageLayout = "Zoom"
$ButtonApp31.Add_Click({
	$ButtonApp31.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "ScreenSketch"
	if ($SEL -ne $null) {
		Get-AppxPackage *ScreenSketch* | Remove-AppxPackage
		$ButtonApp31.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *ScreenSketch* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp31.FlatStyle = $PopButton
	}
	$ButtonApp31.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "ScreenSketch"
if ($SEL -eq $null) {
	$ButtonApp31.Text = "Snip && Sketch"
	$ButtonApp31.Enabled = $false
	$ButtonApp31.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "ScreenSketch"
if ($SEL -eq $null) {
	$ButtonApp31.FlatStyle = $FlatButton
} else {
	$ButtonApp31.FlatStyle = $PopButton
}



$ButtonApp32 = New-Object System.Windows.Forms.Button
$ButtonApp32.Location = $R4C8
$ButtonApp32.Size = $DefaultDrawingSize
$ButtonApp32.BackgroundImage = $BingSports
$ButtonApp32.BackgroundImageLayout = "Zoom"
$ButtonApp32.Add_Click({
	$ButtonApp32.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "BingSports"
	if ($SEL -ne $null) {
		Get-AppxPackage *BingSports* | Remove-AppxPackage
		$ButtonApp32.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *BingSports* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp32.FlatStyle = $PopButton
	}
	$ButtonApp32.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "BingSports"
if ($SEL -eq $null) {
	$ButtonApp32.Text = "Sports"
	$ButtonApp32.Enabled = $false
	$ButtonApp32.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "BingSports"
if ($SEL -eq $null) {
	$ButtonApp32.FlatStyle = $FlatButton
} else {
	$ButtonApp32.FlatStyle = $PopButton
}



$ButtonApp33 = New-Object System.Windows.Forms.Button
$ButtonApp33.Location = $R5C1
$ButtonApp33.Size = $DefaultDrawingSize
$ButtonApp33.BackgroundImage = $MicrosoftStickyNotes
$ButtonApp33.BackgroundImageLayout = "Zoom"
$ButtonApp33.Add_Click({
	$ButtonApp33.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "StickyNotes"
	if ($SEL -ne $null) {
		Get-AppxPackage *StickyNotes* | Remove-AppxPackage
		$ButtonApp33.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *StickyNotes* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp33.FlatStyle = $PopButton
	}
	$ButtonApp33.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "StickyNotes"
if ($SEL -eq $null) {
	$ButtonApp33.Text = "Sticky Notes"
	$ButtonApp33.Enabled = $false
	$ButtonApp33.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "StickyNotes"
if ($SEL -eq $null) {
	$ButtonApp33.FlatStyle = $FlatButton
} else {
	$ButtonApp33.FlatStyle = $PopButton
}



$ButtonApp34 = New-Object System.Windows.Forms.Button
$ButtonApp34.Location = $R5C2
$ButtonApp34.Size = $DefaultDrawingSize
$ButtonApp34.BackgroundImage = $OfficeSway
$ButtonApp34.BackgroundImageLayout = "Zoom"
$ButtonApp34.Add_Click({
	$ButtonApp34.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "Sway"
	if ($SEL -ne $null) {
		Get-AppxPackage *Sway* | Remove-AppxPackage
		$ButtonApp34.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *Sway* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp34.FlatStyle = $PopButton
	}
	$ButtonApp34.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "Sway"
if ($SEL -eq $null) {
	$ButtonApp34.Text = "Sway"
	$ButtonApp34.Enabled = $false
	$ButtonApp34.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "Sway"
if ($SEL -eq $null) {
	$ButtonApp34.FlatStyle = $FlatButton
} else {
	$ButtonApp34.FlatStyle = $PopButton
}



$ButtonApp35 = New-Object System.Windows.Forms.Button
$ButtonApp35.Location = $R5C3
$ButtonApp35.Size = $DefaultDrawingSize
$ButtonApp35.BackgroundImage = $Microsoft3DViewer
$ButtonApp35.BackgroundImageLayout = "Zoom"
$ButtonApp35.Add_Click({
	$ButtonApp35.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "3DViewer"
	if ($SEL -ne $null) {
		Get-AppxPackage *3DViewer* | Remove-AppxPackage
		$ButtonApp35.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *3DViewer* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp35.FlatStyle = $PopButton
	}
	$ButtonApp35.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "3DViewer"
if ($SEL -eq $null) {
	$ButtonApp35.Text = "View 3D"
	$ButtonApp35.Enabled = $false
	$ButtonApp35.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "3DViewer"
if ($SEL -eq $null) {
	$ButtonApp35.FlatStyle = $FlatButton
} else {
	$ButtonApp35.FlatStyle = $PopButton
}



$ButtonApp36 = New-Object System.Windows.Forms.Button
$ButtonApp36.Location = $R5C4
$ButtonApp36.Size = $DefaultDrawingSize
$ButtonApp36.BackgroundImage = $Print3D
$ButtonApp36.BackgroundImageLayout = "Zoom"
$ButtonApp36.Add_Click({
	$ButtonApp36.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "Print3D"
	if ($SEL -ne $null) {
		Get-AppxPackage *Print3D* | Remove-AppxPackage
		$ButtonApp36.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *Print3D* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp36.FlatStyle = $PopButton
	}
	$ButtonApp36.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "Print3D"
if ($SEL -eq $null) {
	$ButtonApp36.Text = "Print 3D"
	$ButtonApp36.Enabled = $false
	$ButtonApp36.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "Print3D"
if ($SEL -eq $null) {
	$ButtonApp36.FlatStyle = $FlatButton
} else {
	$ButtonApp36.FlatStyle = $PopButton
}



$ButtonApp37 = New-Object System.Windows.Forms.Button
$ButtonApp37.Location = $R5C5
$ButtonApp37.Size = $DefaultDrawingSize
$ButtonApp37.BackgroundImage = $WindowsSoundRecorder
$ButtonApp37.BackgroundImageLayout = "Zoom"
$ButtonApp37.Add_Click({
	$ButtonApp37.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "SoundRecorder"
	if ($SEL -ne $null) {
		Get-AppxPackage *SoundRecorder* | Remove-AppxPackage
		$ButtonApp37.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *SoundRecorder* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp37.FlatStyle = $PopButton
	}
	$ButtonApp37.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "SoundRecorder"
if ($SEL -eq $null) {
	$ButtonApp37.Text = "Voice Recorder"
	$ButtonApp37.Enabled = $false
	$ButtonApp37.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "SoundRecorder"
if ($SEL -eq $null) {
	$ButtonApp37.FlatStyle = $FlatButton
} else {
	$ButtonApp37.FlatStyle = $PopButton
}



$ButtonApp38 = New-Object System.Windows.Forms.Button
$ButtonApp38.Location = $R5C6
$ButtonApp38.Size = $DefaultDrawingSize
$ButtonApp38.BackgroundImage = $BingWeather
$ButtonApp38.BackgroundImageLayout = "Zoom"
$ButtonApp38.Add_Click({
	$ButtonApp38.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "BingWeather"
	if ($SEL -ne $null) {
		Get-AppxPackage *BingWeather* | Remove-AppxPackage
		$ButtonApp38.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *BingWeather* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp38.FlatStyle = $PopButton
	}
	$ButtonApp38.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "BingWeather"
if ($SEL -eq $null) {
	$ButtonApp38.Text = "Weather"
	$ButtonApp38.Enabled = $false
	$ButtonApp38.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "BingWeather"
if ($SEL -eq $null) {
	$ButtonApp38.FlatStyle = $FlatButton
} else {
	$ButtonApp38.FlatStyle = $PopButton
}



$ButtonApp39 = New-Object System.Windows.Forms.Button
$ButtonApp39.Location = $R5C7
$ButtonApp39.Size = $DefaultDrawingSize
$ButtonApp39.BackgroundImage = $MicrosoftHoloLens
$ButtonApp39.BackgroundImageLayout = "Zoom"
$ButtonApp39.Add_Click({
	$ButtonApp39.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "Holo"
	if ($SEL -ne $null) {
		Get-AppxPackage *Holo* | Remove-AppxPackage
		$ButtonApp39.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *Holo* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp39.FlatStyle = $PopButton
	}
	$ButtonApp39.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "Holo"
if ($SEL -eq $null) {
	$ButtonApp39.Text = "Microsoft HoloLens"
	$ButtonApp39.Enabled = $false
	$ButtonApp39.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "Holo"
if ($SEL -eq $null) {
	$ButtonApp39.FlatStyle = $FlatButton
} else {
	$ButtonApp39.FlatStyle = $PopButton
}



$ButtonApp40 = New-Object System.Windows.Forms.Button
$ButtonApp40.Location = $R5C8
$ButtonApp40.Size = $DefaultDrawingSize
$ButtonApp40.BackgroundImage = $XboxApp
$ButtonApp40.BackgroundImageLayout = "Zoom"
$ButtonApp40.Add_Click({
	$ButtonApp40.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "XboxApp"
	if ($SEL -ne $null) {
		Get-AppxPackage *XboxApp* | Remove-AppxPackage
		$ButtonApp40.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *XboxApp* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp40.FlatStyle = $PopButton
	}
	$ButtonApp40.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "XboxApp"
if ($SEL -eq $null) {
	$ButtonApp40.Text = "Xbox"
	$ButtonApp40.Enabled = $false
	$ButtonApp40.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "XboxApp"
if ($SEL -eq $null) {
	$ButtonApp40.FlatStyle = $FlatButton
} else {
	$ButtonApp40.FlatStyle = $PopButton
}



$ButtonApp41 = New-Object System.Windows.Forms.Button
$ButtonApp41.Location = $R6C1
$ButtonApp41.Size = $DefaultDrawingSize
$ButtonApp41.BackgroundImage = $XboxGameOverlay
$ButtonApp41.BackgroundImageLayout = "Zoom"
$ButtonApp41.Add_Click({
	$ButtonApp41.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "Overlay"
	if ($SEL -ne $null) {
		Get-AppxPackage *Xbox*Overlay* | Remove-AppxPackage
		$ButtonApp41.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *Xbox*Overlay* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp41.FlatStyle = $PopButton
	}
	$ButtonApp41.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "Overlay"
if ($SEL -eq $null) {
	$ButtonApp41.Text = "Xbox Game Overlay"
	$ButtonApp41.Enabled = $false
	$ButtonApp41.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "Overlay"
if ($SEL -eq $null) {
	$ButtonApp41.FlatStyle = $FlatButton
} else {
	$ButtonApp41.FlatStyle = $PopButton
}



$ButtonApp42 = New-Object System.Windows.Forms.Button
$ButtonApp42.Location = $R6C2
$ButtonApp42.Size = $DefaultDrawingSize
$ButtonApp42.BackgroundImage = $WindowsStore
$ButtonApp42.BackgroundImageLayout = "Zoom"
$ButtonApp42.Add_Click({
	$ButtonApp42.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "WindowsStore"
	if ($SEL -ne $null) {
		Get-AppxPackage *WindowsStore* | Remove-AppxPackage
		$ButtonApp42.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *WindowsStore* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$ButtonApp42.FlatStyle = $PopButton
	}
	$ButtonApp42.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "WindowsStore"
if ($SEL -eq $null) {
	$ButtonApp42.Text = "Windows Store"
	$ButtonApp42.Enabled = $false
	$ButtonApp42.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "WindowsStore"
if ($SEL -eq $null) {
	$ButtonApp42.FlatStyle = $FlatButton
} else {
	$ButtonApp42.FlatStyle = $PopButton
}



$Extensions1 = New-Object System.Windows.Forms.Button
$Extensions1.Location = $R6C3
$Extensions1.Size = $DefaultDrawingSize
$Extensions1.Text = "Heif Image" # temporary till icon
# $Extensions1.Image = $DefaultImage
# $Extensions1.BackgroundImageLayout = "Zoom"
$Extensions1.Add_Click({
	$Extensions1.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "HEIFImageExtension"
	if ($SEL -ne $null) {
		Get-AppxPackage *HEIFImageExtension* | Remove-AppxPackage
		$Extensions1.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *HEIFImageExtension* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Extensions1.FlatStyle = $PopButton
	}
	$Extensions1.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "HEIFImageExtension"
if ($SEL -eq $null) {
	$Extensions1.Text = "Heif Image"
	$Extensions1.Enabled = $false
	$Extensions1.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "HEIFImageExtension"
if ($SEL -eq $null) {
	$Extensions1.FlatStyle = $FlatButton
} else {
	$Extensions1.FlatStyle = $PopButton
}



$Extensions2 = New-Object System.Windows.Forms.Button
$Extensions2.Location = $R6C4
$Extensions2.Size = $DefaultDrawingSize
$Extensions2.Text = "MPEG-2 Video" # temporary till icon
# $Extensions2.Image = $DefaultImage
# $Extensions2.BackgroundImageLayout = "Zoom"
$Extensions2.Add_Click({
	$Extensions2.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "MPEG2VideoExtension"
	if ($SEL -ne $null) {
		Get-AppxPackage *MPEG2VideoExtension* | Remove-AppxPackage
		$Extensions2.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *MPEG2VideoExtension* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Extensions2.FlatStyle = $PopButton
	}
	$Extensions2.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "MPEG2VideoExtension"
if ($SEL -eq $null) {
	$Extensions2.Text = "MPEG-2 Video"
	$Extensions2.Enabled = $false
	$Extensions2.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "MPEG2VideoExtension"
if ($SEL -eq $null) {
	$Extensions2.FlatStyle = $FlatButton
} else {
	$Extensions2.FlatStyle = $PopButton
}



$Extensions3 = New-Object System.Windows.Forms.Button
$Extensions3.Location = $R6C5
$Extensions3.Size = $DefaultDrawingSize
$Extensions3.Text = "VP9 Video" # temporary till icon
# $Extensions3.Image = $DefaultImage
# $Extensions3.BackgroundImageLayout = "Zoom"
$Extensions3.Add_Click({
	$Extensions3.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "VP9VideoExtensions"
	if ($SEL -ne $null) {
		Get-AppxPackage *VP9VideoExtensions* | Remove-AppxPackage
		$Extensions3.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *VP9VideoExtensions* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Extensions3.FlatStyle = $PopButton
	}
	$Extensions3.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "VP9VideoExtensions"
if ($SEL -eq $null) {
	$Extensions3.Text = "VP9 Video"
	$Extensions3.Enabled = $false
	$Extensions3.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "VP9VideoExtensions"
if ($SEL -eq $null) {
	$Extensions3.FlatStyle = $FlatButton
} else {
	$Extensions3.FlatStyle = $PopButton
}



$Extensions4 = New-Object System.Windows.Forms.Button
$Extensions4.Location = $R6C6
$Extensions4.Size = $DefaultDrawingSize
$Extensions4.Text = "Web Media" # temporary till icon
# $Extensions4.Image = $DefaultImage
# $Extensions4.BackgroundImageLayout = "Zoom"
$Extensions4.Add_Click({
	$Extensions4.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "WebMediaExtensions"
	if ($SEL -ne $null) {
		Get-AppxPackage *WebMediaExtensions* | Remove-AppxPackage
		$Extensions4.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *WebMediaExtensions* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Extensions4.FlatStyle = $PopButton
	}
	$Extensions4.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "WebMediaExtensions"
if ($SEL -eq $null) {
	$Extensions4.Text = "Web Media"
	$Extensions4.Enabled = $false
	$Extensions4.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "WebMediaExtensions"
if ($SEL -eq $null) {
	$Extensions4.FlatStyle = $FlatButton
} else {
	$Extensions4.FlatStyle = $PopButton
}



$Extensions5 = New-Object System.Windows.Forms.Button
$Extensions5.Location = $R6C7
$Extensions5.Size = $DefaultDrawingSize
$Extensions5.Text = "WebP Image" # temporary till icon
# $Extensions5.Image = $DefaultImage
# $Extensions5.BackgroundImageLayout = "Zoom"
$Extensions5.Add_Click({
	$Extensions5.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "WebpImageExtension"
	if ($SEL -ne $null) {
		Get-AppxPackage *WebpImageExtension* | Remove-AppxPackage
		$Extensions5.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *WebpImageExtension* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Extensions5.FlatStyle = $PopButton
	}
	$Extensions5.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "WebpImageExtension"
if ($SEL -eq $null) {
	$Extensions5.Text = "WebP Image"
	$Extensions5.Enabled = $false
	$Extensions5.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "WebpImageExtension"
if ($SEL -eq $null) {
	$Extensions5.FlatStyle = $FlatButton
} else {
	$Extensions5.FlatStyle = $PopButton
}



$Bloatwares1 = New-Object System.Windows.Forms.Button
$Bloatwares1.Location = $R6C8
$Bloatwares1.Size = $DefaultDrawingSize
$Bloatwares1.Text = "Advertising" # temporary till icon
# $Bloatwares1.Image = $DefaultImage
# $Bloatwares1.BackgroundImageLayout = "Zoom"
$Bloatwares1.Add_Click({
	$Bloatwares1.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Select-String -Path .\test.txt -Pattern "Advertising"
	if ($SEL -ne $null) {
		Get-AppxPackage *Advertising* | Remove-AppxPackage
		$Bloatwares1.FlatStyle = $FlatButton
	} else {
		Get-AppxPackage -AllUsers *Advertising* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Bloatwares1.FlatStyle = $PopButton
	}
	$Bloatwares1.Cursor = $HandCursor
	# OpenStartMenu
})
CheckInstalledAppsForAllUsers
$SEL = Select-String -Path .\test.txt -Pattern "Advertising"
if ($SEL -eq $null) {
	$Bloatwares1.Text = "Advertising"
	$Bloatwares1.Enabled = $false
	$Bloatwares1.Image = $DefaultImage
}
CheckInstalledAppsForCurrentUser
$SEL = Select-String -Path .\test.txt -Pattern "Advertising"
if ($SEL -eq $null) {
	$Bloatwares1.FlatStyle = $FlatButton
} else {
	$Bloatwares1.FlatStyle = $PopButton
}



$Features1 = New-Object System.Windows.Forms.Button
$Features1.Location = $R7hC1
$Features1.Size = $DefaultDrawingSize
$Features1.BackgroundImage = $QuickAssist
$Features1.BackgroundImageLayout = "Zoom"
$Features1.Add_Click({
	$Features1.Cursor = $WaitCursor
	Remove-WindowsCapability -online -name App.Support.ContactSupport~~~~0.0.1.0
	Remove-WindowsCapability -online -name App.Support.QuickAssist~~~~0.0.1.0
	$Features1.Cursor = $HandCursor
	# OpenStartMenu
})

$Options1 = New-Object System.Windows.Forms.Button
$Options1.Location = $R9C1
$Options1.Size = $DefaultDrawingSize
$Options1.Text = "Windows Start Menu"
$Options1.Image = $DefaultImage
$Options1.BackgroundImageLayout = "Zoom"
$Options1.Add_Click({ OpenStartMenu })
$Options1.Cursor = $HandCursor

$Options2 = New-Object System.Windows.Forms.Button
$Options2.Location = $R9C2
$Options2.Size = $DefaultDrawingSize
$Options2.Text = "Toggle (Un)install"
$Options2.Image = $DefaultImage
$Options2.BackgroundImageLayout = "Zoom"
$Options2.Add_Click({ $DefaultForm.Text = "Toggle (Un)install" })
$Options2.Enabled = $false

$Options3 = New-Object System.Windows.Forms.Button
$Options3.Location = $R9C3
$Options3.Size = $DefaultDrawingSize
$Options3.Text = "Currently Installed"
$Options3.Image = $DefaultImage
$Options3.BackgroundImageLayout = "Zoom"
$Options3.Add_Click({
	$Options3.Cursor = $WaitCursor
	$HostName = [System.Net.Dns]::GetHostName()
	$CurrentUserAppTextFile = $PSScriptRoot + "\test_currentuser_" + $HostName + ".txt"
	& cmd /c del .\test.txt
	Get-AppxPackage | ft Name -AutoSize | Out-File -FilePath .\test.txt
	& cmd /c `"del $CurrentUserAppTextFile`"
	move test.txt $CurrentUserAppTextFile
	$AllUserAppTextFile = $PSScriptRoot + "\test_alluser_" + $HostName + ".txt"
	& cmd /c del .\test.txt
	Get-AppxPackage -AllUsers | ft Name -AutoSize | Out-File -FilePath .\test.txt
	& cmd /c `"del $AllUserAppTextFile`"
	move test.txt $AllUserAppTextFile
	& notepad.exe $CurrentUserAppTextFile
	$Options3.Cursor = $HandCursor
})

$Options4 = New-Object System.Windows.Forms.Button
$Options4.Location = $R9C4
$Options4.Size = $DefaultDrawingSize
$Options4.Text = "Reinstall Defaults"
$Options4.Image = $DefaultImage
$Options4.BackgroundImageLayout = "Zoom"
$Options4.Add_Click({
	$Options4.Cursor = $WaitCursor
	& taskkill /f /im explorer.exe
	Get-AppxPackage -AllUsers | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
	& start explorer.exe
	$Options4.Cursor = $HandCursor
	OpenStartMenu
})

$Options5 = New-Object System.Windows.Forms.Button
$Options5.Location = $R9C5
$Options5.Size = $DefaultDrawingSize
$Options5.Text = "Uninstall Everything"
$Options5.Image = $DefaultImage
$Options5.BackgroundImageLayout = "Zoom"
$Options5.Add_Click({
	$Options5.Cursor = $WaitCursor
	UninstallAllApps
	$Options5.Cursor = $HandCursor
	OpenStartMenu
})

$Options6 = New-Object System.Windows.Forms.Button
$Options6.Location = $R9C6
$Options6.Size = $DefaultDrawingSize
$Options6.Text = "Reload"
$Options6.Image = $DefaultImage
$Options6.BackgroundImageLayout = "Zoom"
$Options6.Add_Click({
	$Options6.Cursor = $WaitCursor
	ReloadPowerShellFile
	$Options6.Cursor = $HandCursor
})

$Options7 = New-Object System.Windows.Forms.Button
$Options7.Location = $R9C7
$Options7.Size = $DefaultDrawingSize
$Options7.Image = $DefaultImage
$Options7.BackgroundImageLayout = "Zoom"
if (!([Security.Principal.WindowsPrincipal][Security.Principal.WindowsIdentity]::GetCurrent()).IsInRole([Security.Principal.WindowsBuiltInRole] "Administrator")) {
	$Options7.Text = "Become Admin"
	$Options7.Add_Click({
		$DefaultForm.Cursor = $WaitCursor
		Start-Process powershell.exe "-Windowstyle Hidden -NoProfile -ExecutionPolicy Bypass -File `"$PSCommandPath`"" -Verb RunAs
		[environment]::exit(0)
	})
	$Options7.Cursor = $HandCursor
} else {
	$Options7.Enabled = $false
	$Options7.Text = "Already Admin"
	$Options7.Add_Click({
		$Options7.Text = "Admin"
	})
	$Options7.Cursor = $NoCursor
}

$Options8 = New-Object System.Windows.Forms.Button
$Options8.Location = $R9C8
$Options8.Size = $DefaultDrawingSize
$Options8.Text = "Exit"
$Options8.Image = $DefaultImage
$Options8.BackgroundImageLayout = "Zoom"
$Options8.Add_Click({
	$Options8.Cursor = $WaitCursor
	[environment]::exit(0)
})

$DefaultForm.Controls.Add($DefaultGroupBox)

$DefaultGroupBox.Controls.Add($ButtonApp1)
$DefaultGroupBox.Controls.Add($ButtonApp2)
$DefaultGroupBox.Controls.Add($ButtonApp3)
$DefaultGroupBox.Controls.Add($ButtonApp4)
$DefaultGroupBox.Controls.Add($ButtonApp5)
$DefaultGroupBox.Controls.Add($ButtonApp6)
$DefaultGroupBox.Controls.Add($ButtonApp7)
$DefaultGroupBox.Controls.Add($ButtonApp8)
$DefaultGroupBox.Controls.Add($ButtonApp9)
$DefaultGroupBox.Controls.Add($ButtonApp10)
$DefaultGroupBox.Controls.Add($ButtonApp11)
$DefaultGroupBox.Controls.Add($ButtonApp12)
$DefaultGroupBox.Controls.Add($ButtonApp13)
$DefaultGroupBox.Controls.Add($ButtonApp14)
$DefaultGroupBox.Controls.Add($ButtonApp15)
$DefaultGroupBox.Controls.Add($ButtonApp16)
$DefaultGroupBox.Controls.Add($ButtonApp17)
$DefaultGroupBox.Controls.Add($ButtonApp18)
$DefaultGroupBox.Controls.Add($ButtonApp19)
$DefaultGroupBox.Controls.Add($ButtonApp20)
$DefaultGroupBox.Controls.Add($ButtonApp21)
$DefaultGroupBox.Controls.Add($ButtonApp22)
$DefaultGroupBox.Controls.Add($ButtonApp23)
$DefaultGroupBox.Controls.Add($ButtonApp24)
$DefaultGroupBox.Controls.Add($ButtonApp25)
$DefaultGroupBox.Controls.Add($ButtonApp26)
$DefaultGroupBox.Controls.Add($ButtonApp27)
$DefaultGroupBox.Controls.Add($ButtonApp28)
$DefaultGroupBox.Controls.Add($ButtonApp29)
$DefaultGroupBox.Controls.Add($ButtonApp30)
$DefaultGroupBox.Controls.Add($ButtonApp31)
$DefaultGroupBox.Controls.Add($ButtonApp32)
$DefaultGroupBox.Controls.Add($ButtonApp33)
$DefaultGroupBox.Controls.Add($ButtonApp34)
$DefaultGroupBox.Controls.Add($ButtonApp35)
$DefaultGroupBox.Controls.Add($ButtonApp36)
$DefaultGroupBox.Controls.Add($ButtonApp37)
$DefaultGroupBox.Controls.Add($ButtonApp38)
$DefaultGroupBox.Controls.Add($ButtonApp39)
$DefaultGroupBox.Controls.Add($ButtonApp40)
$DefaultGroupBox.Controls.Add($ButtonApp41)
$DefaultGroupBox.Controls.Add($ButtonApp42)

$ButtonApp1.Cursor = $HandCursor
$ButtonApp2.Cursor = $HandCursor
$ButtonApp3.Cursor = $HandCursor
$ButtonApp4.Cursor = $HandCursor
$ButtonApp5.Cursor = $HandCursor
$ButtonApp6.Cursor = $HandCursor
$ButtonApp7.Cursor = $HandCursor
$ButtonApp8.Cursor = $HandCursor
$ButtonApp9.Cursor = $HandCursor
$ButtonApp10.Cursor = $HandCursor
$ButtonApp11.Cursor = $HandCursor
$ButtonApp12.Cursor = $HandCursor
$ButtonApp13.Cursor = $HandCursor
$ButtonApp14.Cursor = $HandCursor
$ButtonApp15.Cursor = $HandCursor
$ButtonApp16.Cursor = $HandCursor
$ButtonApp17.Cursor = $HandCursor
$ButtonApp18.Cursor = $HandCursor
$ButtonApp19.Cursor = $HandCursor
$ButtonApp20.Cursor = $HandCursor
$ButtonApp21.Cursor = $HandCursor
$ButtonApp22.Cursor = $HandCursor
$ButtonApp23.Cursor = $HandCursor
$ButtonApp24.Cursor = $HandCursor
$ButtonApp25.Cursor = $HandCursor
$ButtonApp26.Cursor = $HandCursor
$ButtonApp27.Cursor = $HandCursor
$ButtonApp28.Cursor = $HandCursor
$ButtonApp29.Cursor = $HandCursor
$ButtonApp30.Cursor = $HandCursor
$ButtonApp31.Cursor = $HandCursor
$ButtonApp32.Cursor = $HandCursor
$ButtonApp33.Cursor = $HandCursor
$ButtonApp34.Cursor = $HandCursor
$ButtonApp35.Cursor = $HandCursor
$ButtonApp36.Cursor = $HandCursor
$ButtonApp37.Cursor = $HandCursor
$ButtonApp38.Cursor = $HandCursor
$ButtonApp39.Cursor = $HandCursor
$ButtonApp40.Cursor = $HandCursor
$ButtonApp41.Cursor = $HandCursor
$ButtonApp42.Cursor = $HandCursor

$DefaultGroupBox.Controls.Add($Extensions1)
$DefaultGroupBox.Controls.Add($Extensions2)
$DefaultGroupBox.Controls.Add($Extensions3)
$DefaultGroupBox.Controls.Add($Extensions4)
$DefaultGroupBox.Controls.Add($Extensions5)

$Extensions1.Cursor = $HandCursor
$Extensions2.Cursor = $HandCursor
$Extensions3.Cursor = $HandCursor
$Extensions4.Cursor = $HandCursor
$Extensions5.Cursor = $HandCursor

$DefaultGroupBox.Controls.Add($reload)

$reload.Cursor = $HandCursor

$DefaultGroupBox.Controls.Add($Bloatwares1)
$DefaultGroupBox.Controls.Add($Features1)

$Bloatwares1.Cursor = $HandCursor
$Features1.Cursor = $HandCursor

$DefaultGroupBox.Controls.Add($Options1)
$DefaultGroupBox.Controls.Add($Options2)
$DefaultGroupBox.Controls.Add($Options3)
$DefaultGroupBox.Controls.Add($Options4)
$DefaultGroupBox.Controls.Add($Options5)
$DefaultGroupBox.Controls.Add($Options6)
$DefaultGroupBox.Controls.Add($Options7)
$DefaultGroupBox.Controls.Add($Options8)

$Options1.Cursor = $HandCursor
$Options2.Cursor = $HandCursor
$Options3.Cursor = $HandCursor
$Options4.Cursor = $HandCursor
$Options5.Cursor = $HandCursor
$Options6.Cursor = $HandCursor
$Options7.Cursor = $HandCursor
$Options8.Cursor = $HandCursor

# Title - Powershell GUI Tool #
# $Label = New-Object System.Windows.Forms.Label
# $LabelFont = New-Object System.Drawing.Font("Calibri",18,[System.Drawing.FontStyle]::Bold)
# $Label.Font = $LabelFont
# $Label.Text = "Select Apps To " + $action
# $Label.AutoSize = $True
# $Label.Location = New-Object System.Drawing.Size(415,40) 
# $DefaultForm.Controls.Add($Label)
 
# Input window with "Server name" label #
# $InputBox = New-Object System.Windows.Forms.TextBox 
# $InputBox.Location = New-Object System.Drawing.Size(10,50) 
# $InputBox.Size = New-Object System.Drawing.Size(180,20) 
# $DefaultForm.Controls.Add($InputBox)
# $Label2 = New-Object System.Windows.Forms.Label
# $Label2.Text = "Server name:"
# $Label2.AutoSize = $True
# $Label2.Location = New-Object System.Drawing.Size(15,30) 
# $DefaultForm.Controls.Add($Label2)
 
# END BUTTONS #
 
# Output Box Field #
# $outputBox = New-Object System.Windows.Forms.RichTextBox
# $outputBox.Location = New-Object System.Drawing.Size(200,100) 
# $outputBox.Size = New-Object System.Drawing.Size(780,265)
# $outputBox.Font = New-Object System.Drawing.Font("Consolas", 8 ,[System.Drawing.FontStyle]::Regular)
# $outputBox.MultiLine = $True
# $outputBox.ScrollBars = "Vertical"
# $outputBox.Text = " `
#   Welcome to your first Powershell GUI Tool - Type Domain Controller name and press one of the available buttons."
# $DefaultForm.Controls.Add($outputBox)
 
#
 
$DefaultForm.Add_Shown({$DefaultForm.Activate()})
[void] $DefaultForm.ShowDialog()